Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
contact-attributes
Create Definition
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/contact-attributes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "name": "<string>",
      "slug": "<string>",
      "type": "<string>",
      "description": "<string>",
      "is_contact_editable": true,
      "position": 0
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "created_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "is_contact_editable": true,
      "name": "<string>",
      "position": 123,
      "slug": "<string>",
      "team_id": "<string>",
      "type": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "contact_attribute_definitions"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Body

application/vnd.api+json
data
DefinitionCreateResource · object
required

Response

Successful Response

data
DefinitionResource · object
required